OpenVDB 7.0.0

Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
NodeList< NodeT > Class Template Reference

This class caches tree nodes of a specific type in a linear array. More...

`#include <NodeManager.h>`

## Classes
class | NodeRange

## Public Types
using | value_type = NodeT *
using | ListT = std::deque< value_type >

## Public Member Functions
| NodeList ()
void | push_back (NodeT *node)
NodeT & | operator() (size_t n) const
NodeT *& | operator[] (size_t n)
Index64 | nodeCount () const
void | clear ()
void | resize (size_t n)
NodeRange | nodeRange (size_t grainsize=1) const
| Return a TBB-compatible NodeRange. More...
template<typename NodeOp >
void | foreach (const NodeOp &op, bool threaded=true, size_t grainSize=1)
template<typename NodeOp >
void | reduce (NodeOp &op, bool threaded=true, size_t grainSize=1)

## Protected Attributes
ListT | mList

## Detailed Description

### template<typename NodeT>
class openvdb::v7_0::tree::NodeList< NodeT >

This class caches tree nodes of a specific type in a linear array.

Note
  It is for internal use and should rarely be used directly.

## Member Typedef Documentation

## ◆ ListT

using ListT = std::deque<value_type>

## ◆ value_type

using value_type = NodeT*

## Constructor & Destructor Documentation

## ◆ NodeList()

NodeList | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ foreach()

void foreach | ( | const NodeOp & | op,
|  | bool | threaded = `true`,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## ◆ nodeCount()

Index64 nodeCount | ( |  | ) | const
| inline

## ◆ nodeRange()

NodeRange nodeRange | ( | size_t | grainsize = `1` | ) | const
| inline

Return a TBB-compatible NodeRange.

## ◆ operator()()

NodeT& operator() | ( | size_t | n | ) | const
| inline

## ◆ operator[]()

NodeT*& operator[] | ( | size_t | n | ) |
| inline

## ◆ push_back()

void push_back | ( | NodeT * | node | ) |
| inline

## ◆ reduce()

void reduce | ( | NodeOp & | op,
|  | bool | threaded = `true`,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## ◆ resize()

void resize | ( | size_t | n | ) |
| inline

## Member Data Documentation

## ◆ mList

ListT mList
| protected

The documentation for this class was generated from the following file:

- NodeManager.h